package com.ruoyi.sapCustomer.mapper;

import com.ruoyi.sapCustomer.domain.SapCustomer;

import java.util.List;

/**
 * 客户管理Mapper接口
 *
 * @author ruoyi
 * @date 2024-03-11
 */
public interface SapCustomerMapper
{
    /**
     * 查询客户管理
     *
     * @param customerId 客户管理主键
     * @return 客户管理
     */
    public SapCustomer selectSapCustomerByCustomerId(Long customerId);

    /**
     * 查询客户管理列表
     *
     * @param sapCustomer 客户管理
     * @return 客户管理集合
     */
    public List<SapCustomer> selectSapCustomerList(SapCustomer sapCustomer);

    /**
     * 新增客户管理
     *
     * @param sapCustomer 客户管理
     * @return 结果
     */
    public int insertSapCustomer(SapCustomer sapCustomer);

    /**
     * 修改客户管理
     *
     * @param sapCustomer 客户管理
     * @return 结果
     */
    public int updateSapCustomer(SapCustomer sapCustomer);

    /**
     * 删除客户管理
     *
     * @param customerId 客户管理主键
     * @return 结果
     */
    public int deleteSapCustomerByCustomerId(Long customerId);

    /**
     * 批量删除客户管理
     *
     * @param customerIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSapCustomerByCustomerIds(Long[] customerIds);
}
